get_pagerank {DiagrammeR} | R Documentation

## Get the PageRank values for all nodes

### Description

Get the PageRank values for all nodes in the graph.

### Usage

    get_pagerank(graph, directed = TRUE, damping = 0.85)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`directed` | if `TRUE` (the default) then directed paths will be considered for directed graphs. This is ignored for undirected graphs.
`damping` | the damping factor. The default value is set to `0.85`.

### Value

a data frame with PageRank values for each of the nodes.

### Examples

    # Create a random graph using the
    # `add_gnm_graph()` function
    graph <-
      create_graph() %>%
      add_gnm_graph(
        n = 10,
        m = 15,
        set_seed = 23)

    # Get the PageRank scores
    # for all nodes in the graph
    graph %>%
      get_pagerank()

    # Colorize nodes according to their
    # PageRank scores
    graph <-
      graph %>%
      join_node_attrs(
        df = get_pagerank(graph = .)) %>%
      colorize_node_attrs(
        node_attr_from = pagerank,
        node_attr_to = fillcolor,
        palette = "RdYlGn")

[Package DiagrammeR version 1.0.1 Index]